/******************************************
* Zeus CMD - C++ Tutorial 44 : Namespaces *
* By Grant James (ZEUS)                   *
* http://www.zeuscmd.com                  *
******************************************/
#include <iostream>
#include <stdlib.h>

using namespace std;

namespace player
{
	int health = 100;
	char *name;

	void attack()
	{
		cout << "Player attacks" << endl;
	}
}

namespace enemy
{
	int health = 30;

	void attack()
	{
		cout << "Enemy attacks" << endl;
	}
}

int main()
{
	player::attack();
	enemy::attack();

	cout << player::health << endl;

	// CODE BLOCK
	{
		using namespace player;
		health = 50;
		attack();
	}

	cout << player::health << endl;

	using enemy::health;
	cout << health << endl;

	system("pause");

	return 0;
}
